const crypto = require('crypto');
const {log} = require('utils-nxg-cg');

/**
 * Method that transforms a string into an MD5 id
 * @param content
 * @returns {string}
 */
const getMd5ID = (content) => {
    try {
        return crypto.createHash('md5').update(content).digest("hex");
    } catch (error) {
        log.error(`Error Creating MD5 id: ${error}`);
        throw Error(error);
    }
}

module.exports = getMd5ID;